libzypp: zyppng::AttachedMediaInfo Class Reference

libzypp 17.38.6

zyppng::AttachedMediaInfo Class Reference
Inheritance diagram for zyppng::AttachedMediaInfo:

## Public Member Functions
| AttachedMediaInfo (ProvideRef parentRef, zypp::media::MediaAccessId mediaId, zypp::MirroredOrigin origin, ProvideMediaSpec mediaSpec, const zypp::Pathname &locPath)
zypp::media::MediaAccessId | mediaId () const
const ProvideMediaSpec & | spec () const
zypp::Url | url () const
const zypp::MirroredOrigin & | origin () const
const std::optional< zypp::Pathname > & | rootPath () const
ProvideRef | parent () const
bool | isSameMedium (const zypp::MirroredOrigin &origin, const ProvideMediaSpec &spec)
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.

## Protected Member Functions
void | unref_to (unsigned int) const override
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize std::ostream & operator<<.
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.

## Private Attributes
zypp::media::MediaAccessId | _id
zypp::MirroredOrigin | _origin
ProvideMediaSpec | _spec
ProvideRef | _parent
std::optional< zypp::Pathname > | _localPath

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.

## Detailed Description

Definition at line 24 of file provide.cc.

## Constructor & Destructor Documentation

## ◆ AttachedMediaInfo()

zyppng::AttachedMediaInfo::AttachedMediaInfo | ( | ProvideRef | parentRef,
|  | zypp::media::MediaAccessId | mediaId,
|  | zypp::MirroredOrigin | origin,
|  | ProvideMediaSpec | mediaSpec,
|  | const zypp::Pathname & | locPath )

Definition at line 57 of file provide.cc.

## Member Function Documentation

## ◆ mediaId()

zypp::media::MediaAccessId zyppng::AttachedMediaInfo::mediaId | ( |  | ) | const

Definition at line 65 of file provide.cc.

## ◆ spec()

const ProvideMediaSpec & zyppng::AttachedMediaInfo::spec | ( |  | ) | const

Definition at line 70 of file provide.cc.

## ◆ url()

zypp::Url zyppng::AttachedMediaInfo::url | ( |  | ) | const

Definition at line 75 of file provide.cc.

## ◆ origin()

const zypp::MirroredOrigin & zyppng::AttachedMediaInfo::origin | ( |  | ) | const

Definition at line 80 of file provide.cc.

## ◆ rootPath()

const std::optional< zypp::Pathname > & zyppng::AttachedMediaInfo::rootPath | ( |  | ) | const

Definition at line 85 of file provide.cc.

## ◆ parent()

ProvideRef zyppng::AttachedMediaInfo::parent | ( |  | ) | const

Definition at line 90 of file provide.cc.

## ◆ isSameMedium()

bool zyppng::AttachedMediaInfo::isSameMedium | ( | const zypp::MirroredOrigin & | origin,
|  | const ProvideMediaSpec & | spec )

Returns true if other requests the same medium as this instance

Definition at line 95 of file provide.cc.

## ◆ unref_to()

void zyppng::AttachedMediaInfo::unref_to | ( | unsigned int | count | ) | const
| overrideprotected

Definition at line 100 of file provide.cc.

## Member Data Documentation

## ◆ _id

zypp::media::MediaAccessId zyppng::AttachedMediaInfo::_id
| private

Definition at line 48 of file provide.cc.

## ◆ _origin

zypp::MirroredOrigin zyppng::AttachedMediaInfo::_origin
| private

Definition at line 49 of file provide.cc.

## ◆ _spec

ProvideMediaSpec zyppng::AttachedMediaInfo::_spec
| private

Definition at line 50 of file provide.cc.

## ◆ _parent

ProvideRef zyppng::AttachedMediaInfo::_parent
| private

Definition at line 51 of file provide.cc.

## ◆ _localPath

std::optional<zypp::Pathname> zyppng::AttachedMediaInfo::_localPath
| private

Definition at line 52 of file provide.cc.

The documentation for this class was generated from the following file:

- zypp/ng/media/provide.cc